VTK: vtk::detail::smp::STDThread::ThreadSpecificStorageIterator Class Reference

| VTK 9.3.1

Public Member Functions | List of all members
vtk::detail::smp::STDThread::ThreadSpecificStorageIterator Class Reference

`#include <vtkSMPThreadLocalBackend.h>`

## Public Member Functions
| ThreadSpecificStorageIterator ()
void | SetThreadSpecificStorage (ThreadSpecific &threadSpecifc)
void | SetToBegin ()
void | SetToEnd ()
bool | GetInitialized () const
bool | GetAtEnd () const
void | Forward ()
StoragePointerType & | GetStorage () const
bool | operator== (const ThreadSpecificStorageIterator &it) const

## Detailed Description

Definition at line 96 of file vtkSMPThreadLocalBackend.h.

## Constructor & Destructor Documentation

## ◆ ThreadSpecificStorageIterator()

vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::ThreadSpecificStorageIterator | ( |  | ) |
| inline

Definition at line 99 of file vtkSMPThreadLocalBackend.h.

## Member Function Documentation

## ◆ SetThreadSpecificStorage()

void vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::SetThreadSpecificStorage | ( | ThreadSpecific & | threadSpecifc | ) |
| inline

Definition at line 106 of file vtkSMPThreadLocalBackend.h.

## ◆ SetToBegin()

void vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::SetToBegin | ( |  | ) |
| inline

Definition at line 111 of file vtkSMPThreadLocalBackend.h.

## ◆ SetToEnd()

void vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::SetToEnd | ( |  | ) |
| inline

Definition at line 121 of file vtkSMPThreadLocalBackend.h.

## ◆ GetInitialized()

bool vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::GetInitialized | ( |  | ) | const
| inline

Definition at line 127 of file vtkSMPThreadLocalBackend.h.

## ◆ GetAtEnd()

bool vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::GetAtEnd | ( |  | ) | const
| inline

Definition at line 129 of file vtkSMPThreadLocalBackend.h.

## ◆ Forward()

void vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::Forward | ( |  | ) |
| inline

Definition at line 131 of file vtkSMPThreadLocalBackend.h.

## ◆ GetStorage()

StoragePointerType& vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::GetStorage | ( |  | ) | const
| inline

Definition at line 152 of file vtkSMPThreadLocalBackend.h.

## ◆ operator==()

bool vtk::detail::smp::STDThread::ThreadSpecificStorageIterator::operator== | ( | const ThreadSpecificStorageIterator & | it | ) | const
| inline

Definition at line 158 of file vtkSMPThreadLocalBackend.h.

The documentation for this class was generated from the following file:

- Common/Core/SMP/STDThread/vtkSMPThreadLocalBackend.h